<?php 

	$welding_work_custom_style = '';

	// Logo Size
	$welding_work_logo_top_padding = get_theme_mod('welding_work_logo_top_padding');
	$welding_work_logo_bottom_padding = get_theme_mod('welding_work_logo_bottom_padding');
	$welding_work_logo_left_padding = get_theme_mod('welding_work_logo_left_padding');
	$welding_work_logo_right_padding = get_theme_mod('welding_work_logo_right_padding');

	if( $welding_work_logo_top_padding != '' || $welding_work_logo_bottom_padding != '' || $welding_work_logo_left_padding != '' || $welding_work_logo_right_padding != ''){
		$welding_work_custom_style .=' .logo {';
			$welding_work_custom_style .=' padding-top: '.esc_attr($welding_work_logo_top_padding).'px; padding-bottom: '.esc_attr($welding_work_logo_bottom_padding).'px; padding-left: '.esc_attr($welding_work_logo_left_padding).'px; padding-right: '.esc_attr($welding_work_logo_right_padding).'px;';
		$welding_work_custom_style .=' }';
	}

	$welding_work_logo_size = get_theme_mod('welding_work_logo_size');
	if( $welding_work_logo_size != '' ) {
		if($welding_work_logo_size >= 0 && $welding_work_logo_size <= 100) {
			$calculated_width = $welding_work_logo_size * 3.5;
			$welding_work_custom_style .= ' .custom-logo-link img {';
			$welding_work_custom_style .= ' width: ' . esc_attr($calculated_width) . 'px;';
			$welding_work_custom_style .= ' }';
		}
	}

	//layout width
	$welding_work_boxfull_width = get_theme_mod('welding_work_boxfull_width');
	if ($welding_work_boxfull_width !== '') {
		switch ($welding_work_boxfull_width) {
			case 'container':
				$welding_work_custom_style .= ' body, #header, .bottom-header {
					max-width: 1140px;
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
					$welding_work_custom_style .= ' #header svg{
						right: 1%;
						}';
				break;
			case 'container-fluid':
				$welding_work_custom_style .= ' body, #header, .bottom-header { 
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'none':
				// No specific width specified, so no additional style needed.
				break;
			default:
				// Handle unexpected values.
				break;
		}
	}

	//Menu animation
	$welding_work_dropdown_anim = get_theme_mod('welding_work_dropdown_anim');

	if ( $welding_work_dropdown_anim != '') {
		$welding_work_custom_style .=' .nav-menu ul ul {';
			$welding_work_custom_style .=' animation:'.esc_attr($welding_work_dropdown_anim).' 1s ease;';
		$welding_work_custom_style .=' }';
	}

	// Header Image
	$header_image_url = welding_work_banner_image( $image_url = '' );
	if( $header_image_url != ''){
		$welding_work_custom_style .=' #inner-pages-header {';
			$welding_work_custom_style .=' background-image: url('. esc_url( $header_image_url ).'); background-size: cover; background-repeat: no-repeat; background-attachment: fixed;';
		$welding_work_custom_style .=' }';
	} else {
		$welding_work_custom_style .=' #inner-pages-header {';
			$welding_work_custom_style .=' background: radial-gradient(circle at center, rgba(0,0,0,0) 0%, #000000 100%); ';
		$welding_work_custom_style .=' }';
	}

	$welding_work_slider_hide_show = get_theme_mod('welding_work_slider_hide_show',false);
	if( $welding_work_slider_hide_show == true){
		$welding_work_custom_style .=' .page-template-custom-home-page #inner-pages-header {';
			$welding_work_custom_style .=' display:none;';
		$welding_work_custom_style .=' }';
	}

	$welding_work_site_title_color = get_theme_mod('welding_work_site_title_color');
	if ( $welding_work_site_title_color != '') {
		$welding_work_custom_style .=' h1.site-title a, p.site-title a {';
			$welding_work_custom_style .=' color:'.esc_attr($welding_work_site_title_color).';';
		$welding_work_custom_style .=' }';
	}

	$welding_work_site_tagline_color = get_theme_mod('welding_work_site_tagline_color');
	if ( $welding_work_site_tagline_color != '') {
		$welding_work_custom_style .=' p.site-description {';
			$welding_work_custom_style .=' color:'.esc_attr($welding_work_site_tagline_color).';';
		$welding_work_custom_style .=' }';
	}

	//header color
	$welding_work_social_color = get_theme_mod('welding_work_social_color');
	$welding_work_socialbg_color = get_theme_mod('welding_work_socialbg_color');
	if ( $welding_work_social_color != '') {
		$welding_work_custom_style .=' #header .social-icons a i {';
			$welding_work_custom_style .=' color:'.esc_attr($welding_work_social_color).'; background-color:'.esc_attr($welding_work_socialbg_color).';';
		$welding_work_custom_style .=' }';
	}

	$welding_work_hdrbtn_color = get_theme_mod('welding_work_hdrbtn_color');
	$welding_work_hdrbtnbg_color = get_theme_mod('welding_work_hdrbtnbg_color');
	if ( $welding_work_hdrbtn_color != '') {
		$welding_work_custom_style .=' #header .contact-btn a {';
			$welding_work_custom_style .=' color:'.esc_attr($welding_work_hdrbtn_color).'; background-color:'.esc_attr($welding_work_hdrbtnbg_color).';';
		$welding_work_custom_style .=' }';
	}

	$welding_work_toptext_color = get_theme_mod('welding_work_toptext_color');
	if ( $welding_work_toptext_color != '') {
		$welding_work_custom_style .=' #header p.topbar-text {';
			$welding_work_custom_style .=' color:'.esc_attr($welding_work_toptext_color).';';
		$welding_work_custom_style .=' }';
	}

	$welding_work_menu_color = get_theme_mod('welding_work_menu_color');
	if ( $welding_work_menu_color != '') {
		$welding_work_custom_style .=' .nav-menu ul li a {';
			$welding_work_custom_style .=' color:'.esc_attr($welding_work_menu_color).';';
		$welding_work_custom_style .=' }';
	}

	//slider color
	$welding_work_slider_font_size = get_theme_mod('welding_work_slider_font_size');
	if ( $welding_work_slider_font_size != '') {
		$welding_work_custom_style .=' #slider h2 {';
			$welding_work_custom_style .=' font-size:'.esc_attr($welding_work_slider_font_size).'px;';
		$welding_work_custom_style .=' }';
	}

	$welding_work_slider_text_font_size = get_theme_mod('welding_work_slider_text_font_size');
	if ( $welding_work_slider_text_font_size != '') {
		$welding_work_custom_style .=' #slider p {';
			$welding_work_custom_style .=' font-size:'.esc_attr($welding_work_slider_text_font_size).'px;';
		$welding_work_custom_style .=' }';
	}

	$welding_work_slider_title_color = get_theme_mod('welding_work_slider_title_color');
	if ( $welding_work_slider_title_color != '') {
		$welding_work_custom_style .=' #slider h2 {';
			$welding_work_custom_style .=' color:'.esc_attr($welding_work_slider_title_color).';';
		$welding_work_custom_style .=' }';
	}

	$welding_work_slider_text_color = get_theme_mod('welding_work_slider_text_color');
	if ( $welding_work_slider_text_color != '') {
		$welding_work_custom_style .=' #slider p {';
			$welding_work_custom_style .=' color:'.esc_attr($welding_work_slider_text_color).';';
		$welding_work_custom_style .=' }';
	}

	$welding_work_slider_btn_color = get_theme_mod('welding_work_slider_btn_color');
	$welding_work_slider_btnbg_color = get_theme_mod('welding_work_slider_btnbg_color');
	if ( $welding_work_slider_btn_color != '') {
		$welding_work_custom_style .=' #slider a.read-btn {';
			$welding_work_custom_style .=' color:'.esc_attr($welding_work_slider_btn_color).'; background-color:'.esc_attr($welding_work_slider_btnbg_color).';';
		$welding_work_custom_style .=' }';
	}

	//service css
	$welding_work_section_title_font_size = get_theme_mod('welding_work_section_title_font_size');
	if ( $welding_work_section_title_font_size != '') {
		$welding_work_custom_style .=' #service-section .section-title h3 {';
			$welding_work_custom_style .=' font-size:'.esc_attr($welding_work_section_title_font_size).'px;';
		$welding_work_custom_style .=' }';
	}

	$welding_work_service_font_size = get_theme_mod('welding_work_service_font_size');
	if ( $welding_work_service_font_size != '') {
		$welding_work_custom_style .=' #service-section .service-content h4 {';
			$welding_work_custom_style .=' font-size:'.esc_attr($welding_work_service_font_size).'px;';
		$welding_work_custom_style .=' }';
	}

	$welding_work_service_text_font_size = get_theme_mod('welding_work_service_text_font_size');
	if ( $welding_work_service_text_font_size != '') {
		$welding_work_custom_style .=' #service-section .service-content p {';
			$welding_work_custom_style .=' font-size:'.esc_attr($welding_work_service_text_font_size).'px;';
		$welding_work_custom_style .=' }';
	}